<?xml version="1.0" encoding="UTF-8"?>
<project name="Version Management" default="usage" basedir="../..">

<target name="usage">
	<echo message="Usage: ant -f versions.xml -DnewVersion=[NEW_VERSION_ID] set-version"/>
</target>

<target name="set-version">
	<echo message="Basedir: ${basedir}"/>
	<echo message="New version: ${newVersion}"/>
	<replaceregexp>
        <fileset dir="features">
            <include name="**/feature.xml"/>
        </fileset>
        <fileset dir="doc">
            <include name="**/feature.xml"/>
        </fileset>
        <fileset dir="examples">
            <include name="**/feature.xml"/>
        </fileset>
		<regexp pattern='version="\d\.\d\.\d\.qualifier"'/>
		<substitution expression='version="${newVersion}.qualifier"'/>
	</replaceregexp>
    <replaceregexp>
        <fileset dir="plugins">
            <include name="**/MANIFEST.MF"/>
        </fileset>
        <fileset dir="doc">
            <include name="**/MANIFEST.MF"/>
        </fileset>
        <fileset dir="tests">
            <include name="**/MANIFEST.MF"/>
        </fileset>
        <fileset dir="examples">
            <include name="**/MANIFEST.MF"/>
        </fileset>
        <regexp pattern='Bundle-Version: \d\.\d\.\d\.qualifier'/>
        <substitution expression='Bundle-Version: ${newVersion}.qualifier'/>
    </replaceregexp>
    <replaceregexp>
        <fileset dir="releng/org.eclipse.xpand.releng">
            <include name="publisher.properties"/>
        </fileset>
        <regexp pattern='version=\d\.\d\.\d'/>
        <substitution expression='version=${newVersion}'/>
    </replaceregexp>
	
</target>
</project>
